EchoXML.NamespacePolicy (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.EchoXML.NamespacePolicy class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class EchoXML.NamespacePolicy

    java.lang.Object
      org.apache.tools.ant.types.EnumeratedAttribute
          org.apache.tools.ant.taskdefs.EchoXML.NamespacePolicy

Enclosing class:
  EchoXML

    public static class EchoXML.NamespacePolicy

extends EnumeratedAttribute

Field Summary
`static EchoXML.NamespacePolicy` | `DEFAULT`

Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`value`

Constructor Summary
`EchoXML.NamespacePolicy()`
`EchoXML.NamespacePolicy(java.lang.String s)`

Method Summary
`DOMElementWriter.XmlNamespacePolicy` | `getPolicy()`
`java.lang.String[]` | `getValues()` This is the only method a subclass needs to implement..

Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute
`containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT

    public static final EchoXML.NamespacePolicy DEFAULT

Constructor Detail

### EchoXML.NamespacePolicy

    public EchoXML.NamespacePolicy()

### EchoXML.NamespacePolicy

    public EchoXML.NamespacePolicy(java.lang.String s)

Method Detail

### getValues

    public java.lang.String[] getValues()

  This is the only method a subclass needs to implement..

  Specified by:
    `getValues` in class `EnumeratedAttribute`
  Returns:
    an array holding all possible values of the enumeration. The order of elements must be fixed so that `indexOfValue(String)` always return the same index for the same value.

### getPolicy

    public DOMElementWriter.XmlNamespacePolicy getPolicy()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD